curl --request PUT \
--url https://{base_url_domain}/api/global/v1/inventory/warehouses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": true
}
'import requests
url = "https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}"
payload = {
"name": "East Coast 1",
"abbreviation": "EC1",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'East Coast 1', abbreviation: 'EC1', is_active: true})
};
fetch('https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Update Warehouse
Updates a Warehouse specified by its id path parameter and according to the request body.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the Warehouse.
x >= 1Body
An object conforming to the Warehouse schema to be merged with the existing Warehouse.
A Warehouse represents a physical location from which you can store inventory and perform operations independently of other warehouses.
The display name for the Warehouse.
255"East Coast 1"
A short abbreviation for the Warehouse, up to 10 characters. Recommended to be fewer than 6 characters.
Optional Field
10"EC1"
This flag determines if the Warehouse is active and viable for fulfillment.
true
Response
OK - The operation completed successfully and there is no response body.
Was this page helpful?